Package ru.bitel.bgbilling.kernel.task.common.bean

# Class BGFutureTask

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.task.common.bean.BGFutureTask

All Implemented Interfaces:
  `Serializable`, `Idable`

public class BGFutureTask extends Id

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGFutureTask()`
  `BGFutureTask(int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LocalDateTime`
  `getCreateTime()`
  `int`
  `getCreateUserId()`
  `String`
  `getData()`
  `int`
  `getEntityId()`
  `BGEntityType`
  `getEntityType()`
  `int`
  `getModuleId()`
  `LocalDateTime`
  `getStartTime()`
  `BGFutureTaskStatus`
  `getStatus()`
  `BGFutureTaskType`
  `getType()`
  `BGFutureTask`
  `setCreateTime(LocalDateTime createTime)`
  `BGFutureTask`
  `setCreateUserId(int createUserId)`
  `BGFutureTask`
  `setData(String data)`
  `BGFutureTask`
  `setEntityId(int entityId)`
  `BGFutureTask`
  `setEntityType(BGEntityType entityType)`
  `BGFutureTask`
  `setId(int id)`
  Устанавливает id объекта
  `BGFutureTask`
  `setModuleId(int moduleId)`
  `BGFutureTask`
  `setStartTime(LocalDateTime startTime)`
  `BGFutureTask`
  `setStatus(BGFutureTaskStatus status)`
  `BGFutureTask`
  `setType(BGFutureTaskType type)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BGFutureTask

    public BGFutureTask()

  - ### BGFutureTask

    public BGFutureTask(int id)

- ## Method Details

  - ### getCreateTime

    public LocalDateTime getCreateTime()

  - ### getCreateUserId

    public int getCreateUserId()

  - ### getData

    public String getData()

  - ### getEntityId

    public int getEntityId()

  - ### getEntityType

    public BGEntityType getEntityType()

  - ### getModuleId

    public int getModuleId()

  - ### getStartTime

    public LocalDateTime getStartTime()

  - ### getStatus

    public BGFutureTaskStatus getStatus()

  - ### getType

    public BGFutureTaskType getType()

  - ### setCreateTime

    public BGFutureTask setCreateTime(LocalDateTime createTime)

  - ### setCreateUserId

    public BGFutureTask setCreateUserId(int createUserId)

  - ### setData

    public BGFutureTask setData(String data)

  - ### setEntityId

    public BGFutureTask setEntityId(int entityId)

  - ### setEntityType

    public BGFutureTask setEntityType(BGEntityType entityType)

  - ### setId

    public BGFutureTask setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setModuleId

    public BGFutureTask setModuleId(int moduleId)

  - ### setStartTime

    public BGFutureTask setStartTime(LocalDateTime startTime)

  - ### setStatus

    public BGFutureTask setStatus(BGFutureTaskStatus status)

  - ### setType

    public BGFutureTask setType(BGFutureTaskType type)